Send Money
Approve send money
Approve a send money payment file.
POST
/
send-money
/
approve
Approve send money
curl --request POST \
--url https://sandbox.kulmipay.com/api/v1/send-money/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wallet": {
"available_balance": "<string>",
"label": "<string>",
"can_disburse": true
},
"transactions": [
{
"account": "<string>",
"amount": "<string>",
"request_reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"id_number": "<string>",
"narrative": "<string>"
}
],
"tracking_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_reference": "<string>",
"nonce": "<string>"
}
'import requests
url = "https://sandbox.kulmipay.com/api/v1/send-money/approve"
payload = {
"wallet": {
"available_balance": "<string>",
"label": "<string>",
"can_disburse": True
},
"transactions": [
{
"account": "<string>",
"amount": "<string>",
"request_reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"id_number": "<string>",
"narrative": "<string>"
}
],
"tracking_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_reference": "<string>",
"nonce": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
wallet: {available_balance: '<string>', label: '<string>', can_disburse: true},
transactions: [
{
account: '<string>',
amount: '<string>',
request_reference_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
id_number: '<string>',
narrative: '<string>'
}
],
tracking_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
batch_reference: '<string>',
nonce: '<string>'
})
};
fetch('https://sandbox.kulmipay.com/api/v1/send-money/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"account": "<string>",
"amount": "<string>",
"transaction_id": "<string>",
"status": "<string>",
"status_code": "<string>",
"request_reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"name": "<string>",
"account_reference": "<string>",
"provider_reference": "<string>",
"provider_account_name": "<string>",
"charge": "<string>",
"narrative": "<string>",
"file_id": "<string>",
"currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"wallet": {
"available_balance": "<string>",
"wallet_id": "<string>",
"label": "<string>",
"can_disburse": true,
"current_balance": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"file_id": "<string>",
"tracking_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_reference": "<string>",
"status": "<string>",
"status_code": "<string>",
"actual_charges": "<string>",
"paid_amount": "<string>",
"failed_amount": "<string>",
"charge_estimate": "<string>",
"total_amount_estimate": "<string>",
"total_amount": "<string>",
"transactions_count": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Use your KulmiPay secret key as the Bearer token.
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
70⌘I
Approve send money
